#include <iostream>
#include <fstream>
using namespace std;
int main()
{
    ifstream f1("DEMDUONG.INP");
    int n;
    f1>>n;
    long long a[10000];
    for(int i=1;i<=n;i++)
    {
        f1>>a[i];
    }
    f1.close();
    long long dem=0,tong=0;
    ofstream f2("DEMDUONG.OUT");
    for(i=1;i<=n;i++)
    {
        if(a[i]>0)
        {
            dem++;
            tong=tong+a[i];
        }
    }
    f2<<dem<<" "<<tong;
    f2.close();
}
